Upgrade toontrack software to latest version

Product Manager
Viewing 13 replies - 16 through 28 (of 28 total)
  • Paul Seaman
    Participant

    Hi Scott & Scott,

    Sorry for the late reply. I have been locked out of the forum for 2 weeks, for some bizarre reason?! Tech. Support had to resolve the complex issue in the end.

    But yes, I re-downloaded and re-installed everything from scratch again last week. The UPDATE notice appeared in the end, which was great. So I’m all up to date now thanks.

    Paul


    Operating system: Windows 10

    EZ2 Drummer / Sibelius 8.6 / Cubase 9.

    Dell Inspiron 3737, 1.70gHz, 16GB RAM, 64-bit, Intel Core i3.

    • This post was modified 10 months, 2 weeks ago by Paul Seaman.
    Oruro
    Participant

    On Step 2,when I hit Install product – I get this message,

    No Software found

    No Toontrack software that is recommended or needed for using this product has been detected on your computer.

     

    I have the latest Product Manager, all very frustrating.

     

    Stuart


    Operating system: Windows 10
    Scott
    Moderator

    On Step 2,when I hit Install product – I get this message,

    No Software found

    No Toontrack software that is recommended or needed for using this product has been detected on your computer.

     

    I have the latest Product Manager, all very frustrating.

     

    Stuart

    Operating system: Windows 10

    Can you provide any details on what exactly you are installing?

    Scott Sibley - Toontrack
    Technical Advisor

    jstone
    Participant

    I need the new software update asap  stonebalifo711@gmail.com


    Operating system: Windows 10
    Scott
    Moderator

    I need the new software update asap  stonebalifo711@gmail.com

    Operating system: Windows 10

    What product are you updating? Can you provide more detail please?

    Scott Sibley - Toontrack
    Technical Advisor

    DrumIQ
    Participant

    I just bought the Gospel EZX, but I can’t install it becuz of this msg saying I should upgrade my Toontrack sampler, any help pls I am using logic and I want to open it in there

     

    thanks Elton


    Operating system: macOS High Sierra (10.13)
    Scott
    Moderator

    I just bought the Gospel EZX, but I can’t install it becuz of this msg saying I should upgrade my Toontrack sampler, any help pls I am using logic and I want to open it in there

     

    thanks Elton

    Operating system: macOS High Sierra (10.13)

    EZX expansion libraries require a sampler to load. You need either Toontrack EZD2/3 or S3.

    Scott Sibley - Toontrack
    Technical Advisor

    DrumIQ
    Participant

    How do I get it ? Is there a link pls

    Scott
    Moderator

    How do I get it ? Is there a link pls

    https://www.toontrack.com/product/ezdrummer-3/

    https://www.toontrack.com/product/superior-drummer-3/

    Scott Sibley - Toontrack
    Technical Advisor

    DrumIQ
    Participant

    Meaning I have to make another payment ?

    Scott
    Moderator

    Meaning I have to make another payment ?

    A requirement to use an EZX expansion library is a Toontrack drum sampler. Yes, the samplers are not free. They are a purchase.

    Scott Sibley - Toontrack
    Technical Advisor

    DrumIQ
    Participant

    I added the EZdrummer 2 and it also don’t want to open so now I am lost

    Scott
    Moderator

    I added the EZdrummer 2 and it also don’t want to open so now I am lost

    I linked above the 2 products required to use an EZX.

    You need EZD3 or S3 drum samplers. Those 2 links above.

    You then purchased another EZX instead.

    Here again are the 2 links for the drum samplers required to use EZX expansion packs:

    https://www.toontrack.com/product/ezdrummer-3/

    https://www.toontrack.com/product/superior-drummer-3/

    Scott Sibley - Toontrack
    Technical Advisor

Viewing 13 replies - 16 through 28 (of 28 total)

Please log in to read and reply to this topic.

×